<?php
/**
 * Created by PhpStorm.
 * User: talha
 * Date: 6/11/2018
 * Time: 10:33 PM
 */

namespace Teraception\Firebase\Messaging\V1;


use Teraception\Firebase\Messaging\Base\SimplePayload;

class SendPayload extends SimplePayload
{
    public function getMessagePayload() {
        return isset($this->payload['message']) ? $this->payload['message'] : null;
    }

    public function setMessagePayload($messagePayloadData) {
        $this->payload['message'] = $messagePayloadData;
    }

    public function addToMessagePayload($key, $data) {
        if(!isset($this->payload['message'])) {
            $this->payload['message'] = [];
        }
        $this->payload['message'][$key] = $data;
    }

    public function setTestOnly($isTestOnly) {
        $this->payload['validate_only'] = $isTestOnly;
    }

    public function getTestOnly() {
        return $this->payload['validate_only'];
    }

    public function build()
    {
        if(!isset($this->payload)) {
            $this->payload['message'] = [];
        }
        return parent::build(); // TODO: Change the autogenerated stub
    }
}